<!DOCTYPE html>
<html xmlns:th="http://www.w3.org/1999/xhtml">
<head lang="en">
    <title>URL Shortener Application</title>
    <!--/*/ <th:block th:include="fragments/headerinc :: head"></th:block> /*/-->
</head>
<body>
<div class="container">
    <!--/*/ <th:block th:include="fragments/header :: header"></th:block> /*/-->
    <div>
        <form class="form-horizontal" th:object="${urlObject}" th:action="@{/urlObject}" method="post">
            <div class="form-group">
                <label class="col-sm-2 control-label">Enter a URL:</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" th:field="*{original_url}"/>
                    <span style="color:red; font-color:red" th:if="${#fields.hasErrors('original_url')}" th:errors="*{original_url}">Invalid URL</span>
                    <div>
                        <button type="submit" class="btn btn-default">Submit</button>
                    </div>
                </div>

            </div>
        </form>
    </div>
</div>
</body>
</html>